Bug 47977 - VIEWING: Page Break Preview result related to current zoom
Summary: VIEWING: Page Break Preview result related to current zoom
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.2 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: PDF-Export Zoom-Issues Calc-Page-Break
  Show dependency treegraph
 
Reported: 2012-03-27 22:21 UTC by Rainer Bielefeld Retired
Modified: 2018-07-15 02:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (620.17 KB, application/zip)
2012-03-27 22:21 UTC, Rainer Bielefeld Retired
Details
Screenshot of Calc (20% zoom) and an exported PDF file (126.82 KB, image/png)
2017-06-01 21:49 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-03-27 22:21:31 UTC
Created attachment 59136 [details]
Test Kit

Page Break Preview should show reliably how printing or PDF export result will look but it does not.

Steps to reproduce:
1. download and unzip test kit
2. open Defect_Statistic.ods
   > Page break preview shows all charts in a page not 
     exceeding page borders
3. open Defect_Statistic120328.pdf
   Expected:  all charts in a page not exceeding page borders
   Actual: at the top you see some date fragments from a chart
           on page 2
4. Switch back to Defect_Statistic.ods
5. Modify zoom to 20%
   Expected: still all charts shown completely in pages
   Actual: all charts except first one seem to exceed page
           borders

I added some screenshots concerning my observations

I will have to check results with other versions.
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20120312 Firefox/11.0 SeaMonkey/2.8
Comment 1 sasha.libreoffice 2012-06-22 00:49:51 UTC
Thanks for bugreport
reproduced in 3.5.2 on Windows 7 32 bit
not reproduced in 3.5.4 on Fedora 64 bit
May be fixed? Or it is Windows specific.

But in 3.6.b1 on Fedora 64 bit reproducible again. But diagram shifted in different direction comparing to 3.5.2
Comment 2 Rainer Bielefeld Retired 2012-06-22 01:51:00 UTC
Still [Reproducible] with test kit parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 8d39b7]" (tinderbox: W2008R2@16-minimal_build, pull time 2012-06-20 04:38:46)

Starting with minimum zoom and increasing step by step clicking the "+" in the status bar for some zooms charts on Page 2 sometimes exceed bottom of page, sometimes do not.
Comment 3 sasha.libreoffice 2012-06-22 02:45:04 UTC
reproduced also in 3.3.4 on Fedora 64 bit
still not reproducible in 3.5.4. And I have no 3.5.4 on Windows today for test
Comment 4 Rainer Bielefeld Retired 2012-06-22 03:13:12 UTC
Reproducible with LibO 3.5.3.2 Build-ID: 350m1(Build:2) on Ubuntu12 61bit (VirtualBox)

Enough confirmations for NEW.

But we still failed to find the "real" root of the problem.
Comment 5 QA Administrators 2015-01-05 17:52:24 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-01-20 15:02:21 UTC
No problem with pdf export anymore, but the zoom thing persists (on other zoom levels besides 20% as well).

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 7 QA Administrators 2016-02-21 08:37:48 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2017-03-06 16:00:52 UTC Comment hidden (obsolete)
Comment 9 OfficeUser 2017-05-24 12:04:49 UTC
Could be related with bug 106111.
Comment 10 Thomas Lendo 2017-06-01 21:49:50 UTC
Created attachment 133793 [details]
Screenshot of Calc (20% zoom) and an exported PDF file

Zooming seems to work.

But PDF export shows a completely different page break.

Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-05-31_06:36:03
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 11 QA Administrators 2018-07-15 02:42:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug